<?php
# statische Klasse Content, zur Veranschaulichung
# https://www.php.net/manual/de/oop5.intro.php
# fuer Johannes 'Iwan' Hauser
# in Klassen generell:
# Eigenschaften/Properties/Props: Variablen (Skalare, Arrays, ...)
# Methoden/methods: Funktionen

# SRO (<das hier>::, Source Resolution Operator) kann sein
# self:: - diese Klasse aus der Klasse raus
# parent:: - Eltern-Klasse aus der Klasse raus
# static:: - statisches Elem aus der Klasse raus
# <Klassenname>:: - Klasse (!) von ausserhalb, main scope


	# Klasse haelt alles zusammen
	class Content {
		# public    - von ueberall
		# private   - nur aus dieser Klasse
		# protected - alle Kinder, dies + Elter

		# nur die Klasse selbst kann dran
		private static $sentence = 'Im Falle eines Falles klebt UHU wirklich alles.';

		# $content muss String sein
		public static function Text($content = '') {
			$out = self::$sentence;
			if(strlen($content) > 0) {
				if(gettype($content) == 'string') {
					$out = $content;
				}
			} 
			return $out;
		}
		
		# croppt mit oder ohne content
		public static function Crop($length,$content = '') {
			$out = self::Text($content);
			if(strlen($out) > $length) {
				$out = substr($out,0,$length);
			}
			return $out;
		}
	}

?>
